drkns 2021-06-03 23:29:55+01:00 - build 67

1. Workarounds for menu positioning in Windows Terminal.

drkns 2021-04-08 19:42:42+01:00 - build 66

1. Suppress stdout & stderr before calling IContextMenu methods.

drkns 2016-09-14 09:51:12+02:00 - build 65

1. Вернём хак для "-- owner drawn --", убранный в #62 вместе с хаком для "-- bitmap --" - он ещё нужен.

drkns 2016-01-10 16:06:20+02:00 - build 64

1. Уточнение 63.2.

drkns 2016-01-07 14:50:00+02:00 - build 63

1. gcc build.

2. gcc warnings.

drkns 2015-12-06 02:51:02+02:00 - build 62

1. 0003126: Context menu items with icons only say "-- bitmap --"
   Теперь вместо "-- owner drawn --" и "-- bitmap --" будет нормальный текст.
   Всего 16 лет, как появилась техническая возможность, да.

svs 2014-07-07 13:57:19+04:00 - build 61

1. Добавлена обработка OPEN_RIGHTDISKMENU

drkns 2013-11-13 22:10:48+02:00 - build 60

1. Убираем DisableThreadLibraryCalls.
   MSDN: Do not call this function from a DLL that is linked to the static C run-time library (CRT).
   The static CRT requires DLL_THREAD_ATTACH and DLL_THREAD_DETATCH notifications to function properly.

shmuel 2012-11-10 22:44:44+02:00 - build 59

1. Встроенные в код макросы были в старом формате.

t-rex 2012-11-10 21:34:57+02:00 - build 58

1. При вызове консольного меню плагина из меню дисков после выхода из меню фар застревал.
   Так как меню теперь являються диалогами то всплыл старый баг, меню вызывалось не из главного треда.

zg 2012-09-16 18:58:06+02:00 - build 57

1. Far 3.0 API 2802

zg 2012-09-16 15:09:46+02:00 - build 56

1. Far 3.0 API 2799

zg 2012-03-26 16:25:52+02:00 - build 55

1. Far 3.0 API 2572

drkns 2012-02-04 13:54:49+02:00 - build 54

1. Warnings.

drkns 2012-01-26 09:46:46+02:00 - build 53

1. Научим EMenu вызываться из меню дисков.

drkns 2012-01-15 11:09:07+02:00 - build 52

1. Поддержка вызова по Apps из Far 3.0.2382.

t-rex 2012-01-15 00:15:11+02:00 - build 51

1. Поддержка вызова по RightClick из Far 3.0.2381.
   Если тип меню [?] то откроем текстовое и всегда в позиции мыши.

t-rex 2012-01-13 19:39:55+02:00 - build 50

1. Far 3.0 2373

t-rex 2012-01-04 21:42:23+02:00 - build 49

1. Используем vc10wrapper.cpp.

t-rex 2012-01-04 01:35:59+02:00 - build 48

1. Mantis#1967: EMenu b47 падает случайным образом в Far 3 b2344+.
   Баг существует очень давно, но всплыл тока сейчас.

t-rex 2011-12-30 13:37:21+02:00 - build 47

1. Far 3.0 API 2343

drkns 2011-12-28 23:13:26+02:00 - build 46

1. У меню выбора между текстовым и графическим меню теперь есть guid, дистрибутивые макросы знают об этом факте и правильно работают независимо от опции "[x] Показывать графическое меню".

2. Макросы не захламляют историю командами "rclk_cmd".

t-rex 2011-12-21 22:30:28+02:00

1. reg -> xml

drkns 2011-11-28 13:35:55+02:00 - build 45

1. Mantis#0001926: Падение при выполнении "rclk_cmd:Paste"

yjh 2011-09-18 03:55:18+04:00 - build 44

1. Mangling difference (ExitFarW does'n export)

svs 2011-08-22 21:14:55+03:00 - build 43

1. Far 3 API 2105

drkns 2011-06-28 16:29:36+02:00 - build 42

1. Far 3 API.

drkns 2011-05-21 13:44:45+02:00 - build 41

1. Far 3 API.

t-rex 2011-04-25 11:56:50+02:00 - build 40

1. Far 3.0 API 1988

t-rex 2011-03-10 01:40:10+02:00 - build 39

1. Far 3.0 API 1905

2. Use PluginSettings.

t-rex 2011-02-14 22:13:27+02:00 - build 38

1. Far 3.0.1869 API

2. Use DialogBuilder for dialogs.

t-rex 2011-02-14 15:57:18+02:00 - build 37

1. Far 3.0.1867 API (80% done)

2. Убран код 1.75.

3. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

4. Различные чистки и перетасовки.

5. Use pluginreg lib.

6. registry key -> "Far Manager"

t-rex 2011-02-06 00:26:48+02:00

1. lng,hlf -> utf8, reg -> Far2

drkns 2010-08-26 15:31:12+02:00 - build 36

1. Опция "Show message after execution" по умолчанию отключена.

t-rex 2010-07-03 20:12:08+02:00 - build 35

1. From Igor Yudincev: Mantis#1406: Плагин не работает с большим буфером консоли.

drkns 2009-12-04 20:18:57+02:00 - build 34

1. Для ownerdraw-элементов поменяем местами AS_VERB и AS_HELPTEXT, т.к. текст AS_HELPTEXT, как правило, более вразумителен.

t-rex 2009-10-25 23:22:32+02:00 - build 33

1. Mantis#736: Плагин EMenu некорректно завершает рабочий поток.

2. Заодно небольшая переделка загрузки и GetMinFarVersion.

drkns 2009-10-24 20:23:01+02:00 - build 32

1. Far 2.0.1180.

drkns 2009-06-19 16:28:22+02:00 - build 31

1. Падение при вызове плагина на панели без элементов.

drkns 2009-04-02 19:46:01+02:00 - build 30

1. Падение при вызове подменю с длинными строками.
   Ну и m_nMaxTextLen удалён, т. к. уже неактуально.

drkns 2009-02-24 20:42:56+02:00 - build 29

1. Адаптация к новому PanelAPI в 2.0.789.

drkns 2009-01-31 23:06:03+02:00 - build 28

1. Mantis#0000721: far падает (или зависает в случае релизной сборки)
   если попытаться отобразить контекстное меню (плагин EMenu).

drkns 2009-01-29 22:06:08+02:00 - build 27

1. Опечатка в предыдущем билде.

drkns 2009-01-27 16:09:51+02:00 - build 26

1. Адаптация к новому PanelAPI в 2.0.753.

t-rex 2008-12-23 21:47:12+02:00

1. Убрал пробел из имени reg файлов ради удобств nightly сборки.

drkns 2008-12-23 19:40:55+02:00 - build 25

1. Если при вызове плагина удерживался Shift - используется CMF_EXTENDEDVERBS.
   Под это дело поправлены макросы:
    - текстовое меню - Apps;
    - расширенное текстовое меню - ShiftApps;
    - графическое меню - AltApps;
    - расширенное графическое меню - AltShiftApps.

t-rex 2008-12-21 02:35:59+02:00 - build 24

1. Far 2.0 build 677

t-rex 2008-12-15 19:27:56+02:00 - build 23

1. Кривая проверка на версию фара.

drkns 2008-09-06 20:16:31+02:00 - build 22

1. Cтруктура PanelInfo pi в 1.8 освобождалась раньше, чем надо.

drkns 2008-09-05 10:18:44+02:00 - build 21

1. Адаптация к новому PanelAPI в 1.8.

t-rex 2008-03-08 13:11:39+02:00

1. Некоректная проверка минимальной версии фара.

yjh 2007-11-23 17:59:54+03:00

1. Fix ms-link bug при сборке отладочной версии (makefile_vc)


yjh 2007-11-23 17:34:32+03:00 - build 20

1. Дочищены ненужные процедуры/параметры/глобальности в работе с регистри

t-rex 2007-11-23 16:12:27+02:00 - build 19

1. Mantis#370: Не сохраняются настройки в Unicode версии плагина.


yjh 2007-11-23 17:06:38+03:00 - build 18

1. Неправильное определение длины строки в неиспользуемоей процедуре :)

2. Закомментированы неиспользуемые процедуры работы с registry

3. Депендатность в makefile_vc


yjh 2007-11-17 21:07:25+03:00 - build 17

1. Был не скорректирован GetMinFARVersion для 1.80


t-rex 2007-11-17 12:15:34+02:00 - build 16

1. Работа с новым DialogAPI в 1.8.

yjh 2007-11-13 00:17:46+03:00 - build 15

1. Выкинуты макросы переехавшие в crt.hpp

2. Унифицирована работа с макросами и нашей библиотекой


yjh 2007-11-11 21:52:59+03:00 - build 14

1. Адаптация к новому DialogAPI


yjh 2007-08-09 01:27:35+03:00

1. Новые PSDK не содержат typedef'ов для smart-pointers к "стандартным" GUID'ам

yjh 2007-07-08 05:15:11+03:00

1. Мелкие изменения для более корректной работы с библиотеками при
   сборке отладочной версии. Унификация makefile

yjh 2007-03-30 18:09:11+03:00 - build 13

1. Скорректирована версия в рессурсе для 1.80 

yjh 2007-03-30 06:19:21+03:00 - build 12

1. Убраны предуреждения на /W3

2. Адаптация к текущим изменениям plugin.hpp

3. В makefile_vc добавлена ветка с использованием ulink


yjh 2007-03-19 03:19:31+03:00 - build 11

1. Зафиксирована ситуация из c ExpandEnvironmentStrings для 1.8
   (убран TODO_18.txt).

yjh 2007-03-17 21:11:13+03:00 - build 10

1. Добавлен "забытый" #ifdef вокруг ExpandEnvironmentStrings (пока не
   имплементированном в 1.8) с тем, что бы в 1.7 вызывался (как и раньше)
   fsf.ExpandEnvironmentStr.
   Так же добавлен файл TODO_18.txt что бы не забыть убрать этот #ifdef,
   когда ф-ция появится в 1.8 :)

2. Добавлен TODO_64.txt с описанием некоей "проблемы" работы в Win64 (любой
   версии). На работу непосредственно это не влияет, однако ф-ционал получается
   хуже чем у эксплорера. Как можно решать там тоже написано :)


yjh 2007-03-16 22:21:36+03:00 - build 9

1. Версия поддерживающая компиляцию как в 1.7(ascii) так и в 1.8(unicode)

yjh 2007-03-15 22:21:36+03:00 - build 8

1. Убран memory leak в обработке шаблона из shell32 (build 5)


t-rex 2007-03-13 13:47:36+02:00 - build 7

1. "Улучшение" прошлого AI. Что то мне это не нравится но и без него не красиво.


t-rex 2007-03-13 02:48:12+02:00 - build 6

1. Оригинальный автор нашел правильные сорцы, а я внёс разницу к нам,
   вроде больше падать не должно.

2. Исправление ошибки в предыдущем патче из за которого EMenu тоже падал.

3. На практике выходит что иногда выходят VERB'ы вида AboutA&bout и т.п.
   внёс немного AI чтоб это убрать.

DrKnS 2007-03-10 16:11:14+02:00 - build 5

1. Получаем из shell32.dll шаблон, по которому формируются эти подсказки,
   (строковый ресурс #5380, "Opens the document with %s."),
   и убираем его из сабжевых строк. Для XP/2003.


Yury Haron - 2007-03-09 14:25:07+02:00 - build 4

1. Собственно emenu содержит 3 изменения.
   а) убран удар по памяти. На один байт, но к битому хипу при освобождении
      это иногда приводило :)
   б) чуть-чуть изменена логика проверки ошибок в паре мест. Ни на что кроме
      "понятности чтения" влиять не должно.
   в) то о чём так долго "говорили большевики" :). Подробности ниже

2. Собственно обработка "непечатных" пунктов меню изменена так:
   а) дополнительная информация (команда/help/etc), когда заказана,
      выводится не только при текстовых пунктах но и при этих
   б) если доп-информация _не_ verb/help, то для "графических" пунктов
      выводится тот самый verb/help. Для м-м-м "отличности" :) от окружающих
      пунктов он взят в фигурные скобки, но это пусть окончательно решает
      кто-то в тиме, кто за "общий дизайн" отвечает
   в) чуть изменён цикл (по пунктам) - имхо так слегка наглядней, да и
      повторяющегося кода поменьше.


warp 2007-03-03 00:00:00+03:00- build 3

1. Попытка исправить падения при открытие меню.


t-rex 2007-02-12 19:54:01+02:00 - build 2

1. Почему-то бралось меню ShiftRightClick вместо просто RightClick.
   Какая между ними разница и зачем оно надо не знаю, но в ShiftClick
   иногда подменялись нужные пункты.
   Просто убрал флаг CMF_EXTENDEDVERBS по наводке ghazan.


t-rex 2007-02-06 01:35:59+02:00 - build 1

1. Переделал немного оригинальные сорцы под общий стиль.
   Сборки GCC нету так как в плагине используются SmartPtr.

2. Сборка для x64 + общий мэйк для x86 и x64 для VC.

3. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
